List Contacts
get
/public/v1/contactsfilter[phone]stringPartial match on the phone number.
Example:9876filter[mobile]stringPartial match on the mobile number.
Example:0412filter[contact_number]stringPartial match across both the phone and mobile numbers.
Example:0412page[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ContactResource
dataobject[]required▶Show 14 child attributesHide child attributes
idstringrequiredExample:c1o2n3t4-a5c6-47t8-9b0c-1d2e3f4a5b6cfull_namestringrequiredExample:Jane Doefirst_namestring | nullrequiredExample:Johnlast_namestring | nullrequiredExample:Doedobstring | nullrequiredExample:1985-03-22emailstring | nullrequiredExample:jane.doe@example.comphonestring | nullrequiredExample:02 9876 5432mobilestring | nullrequiredExample:0412 345 678genderstring | nullrequiredExample:maleoccupationstring | nullrequiredExample:Support Coordinatordescriptionstring | nullrequiredExample:Primary point of contact for schedulingarchived_atstring | nullrequiredExample:2025-01-01T00:00:00+00:00preferred_contact_methodstring | nullrequiredExample:mobilecreated_atstringrequiredExample:2024-01-15T10:30:00+00:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error